/*
 *  @author Ranides Atterwim <ranides@gmail.com>
 *  @copyright Ranides Atterwim
 *  @license WTFPL
 *  @url http://ranides.net/projects/assira
 */

package net.ranides.assira.io;

import java.io.IOException;

/**
 * Wyjątek rzucany przez klasę pomocniczą {@link PathHelper}
 * @author ranides
 */
public class PathConvertException extends IOException {

    /**
     * Tworzy wyjątek z podaną przyczyną błędu.
     * @param cause
     */
    public PathConvertException(Throwable cause) {
        super(cause);
    }

    /**
     * Tworzy wyjątek z podanym komunikatem oraz przyczyną błędu.
     * @param message
     * @param cause
     */
    public PathConvertException(String message, Throwable cause) {
        super(message, cause);
    }

    /**
     * Tworzy wyjątek z podanym komunikatem
     * @param message
     */
    public PathConvertException(String message) {
        super(message);
    }

}